### Method

# GdkPixbuf.Pixbuf.set_option

#### Declaration [src]

    gboolean
    gdk_pixbuf_set_option (
      GdkPixbuf* pixbuf,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Attaches a key/value pair as an option to a `GdkPixbuf`.

If `key` already exists in the list of options attached to the `pixbuf`, the new value is ignored and `FALSE` is returned.

#### Parameters

`key` | `const gchar*`
| a nul-terminated string.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`value` | `const gchar*`
| a nul-terminated string.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` on success